import { request } from 'umi';
export function GetCustomerPageQuery(data) {
  return request(`/saasbase/api/member/customer-page-query`, {
    method: 'post',
    data: data,
  });
}

//获取会员信息
export function GetMemberPageQuery(data) {
  return request(`​/groupmeal/api/MemberInfoService/GetMemberPageQuery`, {
    method: 'post',
    data: data,
  });
}

//添加会员
export function CreateMemberInfo(data) {
  return request(`/groupmeal/api/MemberInfoService/AddMember`, {
    method: 'post',
    data: data,
  });
}

//修改会员信息
export function UpdateMemberInfo(data) {
  return request(`/groupmeal/api/MemberInfoService/UpdateMemberInfo`, {
    method: 'post',
    data: data,
  });
}

//修改会员状态
export function UpdateMemberStatus(data) {
  return request(`/groupmeal/api/MemberInfoService/UpdateMemberStatus`, {
    method: 'post',
    data: data,
  });
}

//获取会员
export function GetPlatformMemberList(data) {
  return request(`/groupmeal/api/MemberInfoService/GetPlatformMemberList?memberId=${data}`, {
    method: 'get',
  });
}

//获取会员标签  和绑定详情
export function GetMemberTagAndInfo(memberinfoid, platformtype) {
  return request(
    `/groupmeal/api/MemberInfoService/GetMemberTagAndInfo?memberInfoId=${memberinfoid}&PlatformType=${platformtype}`,
    {
      method: 'get',
    },
  );
}

//修改会员标签
export function UpdateMemberTag(data) {
  return request(`/groupmeal/api/MemberInfoService/UpdateMemberTag`, {
    method: 'post',
    data: data,
  });
}






//同步会员
export function SyncMember(data) {
  return request(`/saasbase/api/member/syncmember/${data}`, {
    method: 'post',
  });
}

//获取会员积分记录
export function GetIntegralRecord(data) {
  return request(`/saasbase/api/member/member-integral-record-page`, {
    method: 'post',
    data: data,
  });
}
